<div class="cart">
  <label>Item Details</label>
  <app-item [items]="coffeeAppService.getCart().items" [isCartView]="true">

  </app-item>
  <div class="mt-2">
    <label>Billing Details</label>
    <div class="border cart__billing-light pl-1 pr-1">
      <div class="d-flex justify-content-between">
        <span>
          Item Total
        </span>
        <span>
          &#36;{{coffeeAppService.getItemTotal()}}
        </span>
      </div>

      <div class="mt-2">
        <span>
          Discount
        </span>
      </div>

      <li *ngFor="let cartItemWiseDiscount of coffeeAppService.getItemWiseDiscount()">
        <div class="d-flex justify-content-between">
          <div>
            <span>
              {{cartItemWiseDiscount.itemIds | itemConcatPipe: 'name'}}
            </span>

            <span>
              - {{cartItemWiseDiscount.comboQuantity}} combos
            </span>

            <span>
              , &#36;{{cartItemWiseDiscount.comboPrice}} each combo
            </span>

            <span>
              with {{cartItemWiseDiscount.discount}}% discount, Total Discount - {{cartItemWiseDiscount.discount}} % of ({{cartItemWiseDiscount.comboQuantity}} * &#36;{{cartItemWiseDiscount.comboPrice}})
            </span>
          </div>
          <div>
            <span>
              -&#36;{{(cartItemWiseDiscount.discount / 100) * (cartItemWiseDiscount.comboQuantity * cartItemWiseDiscount.comboPrice)}}
            </span>
          </div>
        </div>
      </li>


      <div class="d-flex justify-content-between mt-2">
        <span>
          Total
        </span>
        <span>
          &#36;{{coffeeAppService.getTotal()}}
        </span>
      </div>
    </div>
  </div>
  <div class="d-flex flex-row-reverse mt-2">
    <button class="btn btn-primary rounded" (click)="navigateToPayment()">
      Make Payment
    </button>
  </div>
</div>

